#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.3
visibility:           public
id:                   ghcide-1.4.0.3-8kpSynMGpWP7N8ikIMqQJg
key:                  ghcide-1.4.0.3-8kpSynMGpWP7N8ikIMqQJg
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  455bd4bf9675389bd6f8157c10623789
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.3
hs-libraries:         HSghcide-1.4.0.3-8kpSynMGpWP7N8ikIMqQJg
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-AcT4P5j2YeME62AGuyYpWq
    aeson-1.5.6.0-9o8y4QVT0ed6zIp89KPO7i array-0.5.4.0
    async-2.2.3-IhTi4VeJesa5W1nGjaCoJA base-4.15.0.0
    base16-bytestring-1.0.1.0-CpQkrE82N74DORIVRzYnM3 binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-FDnXFMo5mEf4TPPZ0u5oUp
    case-insensitive-1.2.1.0-LsJJ5284Amp7gbCwTtqWK9 containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn deepseq-1.4.5.0
    dependent-map-0.4.0.0-98TSAwHCyqj1xg0cVZeZsE
    dependent-sum-0.7.1.0-6AORkXskRFN4UwLjxAZFHI directory-1.3.6.1
    dlist-1.0-A8ZakkvDKerBegx9VfkpzR extra-1.7.9-IcqPRc3tlcv73Ao9edr4fI
    filepath-1.4.2.1 fingertree-0.1.4.2-40nr4eXmNsYGlQ946OL9p8
    fuzzy-0.1.0.0-LA3qbcj4ne14VSlVG8Da3K ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.5-5DPUvaqx3QE8jt9QKOXZm0
    ghc-exactprint-0.6.4-ActwDkxNyOF6ATzqboaYTx
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-58etnJvFRqiKttKOxlJf4P
    hashable-1.3.2.0-GcuYQ7tqoHiC8dylGWZgv9
    heapsize-0.3.0.1-C5r3pS2PAf3FeyGaDihUh1
    hie-bios-0.7.5-LRxKe8VxipLBLERECdMyun
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.0.0-6GeXzIscLo1DCVuWdWHPM4
    hls-graph-1.4.0.0-4hQKmSQ7hWO5w4a69Wt52Y
    hls-plugin-api-1.1.0.2-CwnOJUgIsocG5Ee8QCiYGh
    hslogger-1.3.1.0-KRWUZMhlCJDVG4blsb26E
    implicit-hie-cradle-0.3.0.5-63DMas80tBO9sZ51ouv1ox
    lens-5.0.1-8BjofPyhl39GhYn8lDfGmL
    lsp-1.2.0.0-IWhyrgfsfQC2rqwsD2GitP
    lsp-types-1.2.0.0-5aUdub8d8uA3TNW6Pfx0bh mtl-2.2.2
    network-uri-2.6.4.1-HkoRuB3ykvaLxStim29dr5
    opentelemetry-0.7.0-5JbnGlKgAw98EVfYpg7rqs
    optparse-applicative-0.16.1.0-DS7gx8MaAHc6ejBVskKbVS
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.0-EggS0CFwuHb1BQn8gtQAeD
    prettyprinter-ansi-terminal-1.1.2-GmodLZ6ZEPGJuIoyDzlnfO
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-AuBKfkvJMhQIpp016WSuDY
    rope-utf16-splay-0.3.2.0-8XI0nNYfX2SGPh91vGGVif
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-BXLf9KGxwtPDnojOmG5xU4
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-3uwfg4fb1F67viBLZn0OnV stm-2.5.0.0
    syb-0.7.2.1-8cP5Vs8FXNOBPC9jzxibP7 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.18-zuNj0DcGxwCuGzbL64Qum
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-GZb439Gbt7L1ozynZzbOaU
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-F01VHQmqrpj3f3agvYLGVp

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

